#
# spec file for package python-actdiag
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-actdiag
Version:        0.5.4
Release:        lp150.1.3
Summary:        actdiag generates activity-diagram image from text
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://blockdiag.com/
Source:         https://files.pythonhosted.org/packages/source/a/actdiag/actdiag-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-blockdiag >= 1.5.0
Requires:       python-setuptools
Suggests:       python-docutils
Suggests:       python-nose
Suggests:       python-pep8 >= 1.3
Suggests:       python-reportlab
Suggests:       python-docutils
BuildArch:      noarch

%python_subpackages

%description
actdiag generate activity-diagram image file from spec-text file.

%prep
%setup -q -n actdiag-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%python3_only %{_bindir}/actdiag
%{python_sitelib}/*

%changelog
* Thu Sep  7 2017 tbechtold@suse.com
- Initial packaging (version 0.5.4)
